Xalan-Java 2.7.1: Class ElemValueOf

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.templates
Class ElemValueOf

    java.lang.Object
      |
      +--org.apache.xml.utils.UnImplNode
            |
            +--org.apache.xalan.templates.ElemTemplateElement
                  |
                  +--org.apache.xalan.templates.ElemValueOf

public class ElemValueOf
extends ElemTemplateElement

Implement xsl:value-of.

See Also:
  value-of in XSLT Specification, Serialized Form
Usage:
  **For advanced use only**

Constructor Summary
`ElemValueOf()`

Method Summary
`ElemTemplateElement` | `appendChild(ElemTemplateElement newChild)` Add a child to the child list.
`void` | `compose(StylesheetRoot sroot)` This function is called after everything else has been recomposed, and allows the template to set remaining values that may be based on some other property that depends on recomposition.
`void` | `execute(TransformerImpl transformer)` Execute the string expression and copy the text to the result tree.
`boolean` | `getDisableOutputEscaping()` Get the "disable-output-escaping" attribute.
`java.lang.String` | `getNodeName()` Return the node name.
`XPath` | `getSelect()` Get the "select" attribute.
`int` | `getXSLToken()` Get an integer representation of the element type.
`void` | `setDisableOutputEscaping(boolean v)` Set the "disable-output-escaping" attribute.
`void` | `setSelect(XPath v)` Set the "select" attribute.

Methods inherited from class org.apache.xalan.templates.ElemTemplateElement
`appendChild, callVisitors, canAcceptVariables, canStripWhiteSpace, compareTo, containsExcludeResultPrefix, endCompose, error, error, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getEndColumnNumber, getEndLineNumber, getFirstChild, getFirstChildElem, getLastChild, getLastChildElem, getLength, getLineNumber, getLocalName, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getNodeType, getOwnerDocument, getOwnerXSLTemplate, getParentElem, getParentNode, getParentNodeElem, getPreviousSibling, getPreviousSiblingElem, getPublicId, getStylesheet, getStylesheetComposed, getStylesheetRoot, getSystemId, getTagName, getUid, getXmlSpace, handlesNullPrefixes, hasChildNodes, hasTextLitOnly, hasVariableDecl, insertBefore, isCompiledTemplate, item, recompose, removeChild, replaceChild, replaceChild, resolvePrefixTables, runtimeInit, setDOMBackPointer, setEndLocaterInfo, setLocaterInfo, setParentElem, setPrefixes, setPrefixes, setUid, setXmlSpace, shouldStripWhiteSpace`

Methods inherited from class org.apache.xml.utils.UnImplNode
`adoptNode, appendData, cloneNode, compareDocumentPosition, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, getActualEncoding, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getBaseURI, getDoctype, getDocumentElement, getDocumentURI, getDomConfig, getElementById, getElementsByTagName, getElementsByTagNameNS, getFeature, getImplementation, getInputEncoding, getNamespaceURI, getNodeValue, getOwnerElement, getPrefix, getSchemaTypeInfo, getSpecified, getStrictErrorChecking, getTextContent, getUserData, getWholeText, getXmlEncoding, getXmlStandalone, getXmlVersion, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertData, isDefaultNamespace, isEqualNode, isId, isSameNode, isSupported, isWhitespaceInElementContent, lookupNamespaceURI, lookupPrefix, normalize, normalizeDocument, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, renameNode, replaceData, replaceWholeText, setActualEncoding, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setDocumentURI, setIdAttribute, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setInputEncoding, setNodeValue, setPrefix, setStrictErrorChecking, setTextContent, setUserData, setValue, setXmlEncoding, setXmlStandalone, setXmlVersion, splitText, substringData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElemValueOf

    public ElemValueOf()

Method Detail

### setSelect

    public void setSelect(XPath v)

  Set the "select" attribute. The required select attribute is an expression; this expression is evaluated and the resulting object is converted to a string as if by a call to the string function.
  Parameters:
    `v` - The value to set for the "select" attribute.

### getSelect

    public XPath getSelect()

  Get the "select" attribute. The required select attribute is an expression; this expression is evaluated and the resulting object is converted to a string as if by a call to the string function.
  Returns:
    The value of the "select" attribute.

### setDisableOutputEscaping

    public void setDisableOutputEscaping(boolean v)

  Set the "disable-output-escaping" attribute. Normally, the xml output method escapes & and < (and possibly other characters) when outputting text nodes. This ensures that the output is well-formed XML. However, it is sometimes convenient to be able to produce output that is almost, but not quite well-formed XML; for example, the output may include ill-formed sections which are intended to be transformed into well-formed XML by a subsequent non-XML aware process. For this reason, XSLT provides a mechanism for disabling output escaping. An xsl:value-of or xsl:text element may have a disable-output-escaping attribute; the allowed values are yes or no; the default is no; if the value is yes, then a text node generated by instantiating the xsl:value-of or xsl:text element should be output without any escaping.
  Parameters:
    `v` - The value to set for the "disable-output-escaping" attribute.
  See Also:
    disable-output-escaping in XSLT Specification

### getDisableOutputEscaping

    public boolean getDisableOutputEscaping()

  Get the "disable-output-escaping" attribute. Normally, the xml output method escapes & and < (and possibly other characters) when outputting text nodes. This ensures that the output is well-formed XML. However, it is sometimes convenient to be able to produce output that is almost, but not quite well-formed XML; for example, the output may include ill-formed sections which are intended to be transformed into well-formed XML by a subsequent non-XML aware process. For this reason, XSLT provides a mechanism for disabling output escaping. An xsl:value-of or xsl:text element may have a disable-output-escaping attribute; the allowed values are yes or no; the default is no; if the value is yes, then a text node generated by instantiating the xsl:value-of or xsl:text element should be output without any escaping.
  Returns:
    The value of the "disable-output-escaping" attribute.
  See Also:
    disable-output-escaping in XSLT Specification

### getXSLToken

    public int getXSLToken()

  Get an integer representation of the element type.
  Returns:
    An integer representation of the element, defined in the Constants class.
  Overrides:
    getXSLToken in class ElemTemplateElement
  See Also:
    `Constants`

### compose

    public void compose(StylesheetRoot sroot)
                 throws TransformerException

  This function is called after everything else has been recomposed, and allows the template to set remaining values that may be based on some other property that depends on recomposition. NEEDSDOC @param sroot
  Throws:
    TransformerException -
  Overrides:
    compose in class ElemTemplateElement

### getNodeName

    public java.lang.String getNodeName()

  Return the node name.
  Returns:
    The node name
  Overrides:
    getNodeName in class ElemTemplateElement

### execute

    public void execute(TransformerImpl transformer)
                 throws TransformerException

  Execute the string expression and copy the text to the result tree. The required select attribute is an expression; this expression is evaluated and the resulting object is converted to a string as if by a call to the string function. The string specifies the string-value of the created text node. If the string is empty, no text node will be created. The created text node will be merged with any adjacent text nodes.
  Parameters:
    `transformer` - non-null reference to the the current transform-time state.
  Throws:
    TransformerException -
  Overrides:
    execute in class ElemTemplateElement
  See Also:
    value-of in XSLT Specification

### appendChild

    public ElemTemplateElement appendChild(ElemTemplateElement newChild)

  Add a child to the child list.
  Parameters:
    `newChild` - Child to add to children list
  Returns:
    Child just added to children list
  Throws:
    DOMException -
  Overrides:
    appendChild in class ElemTemplateElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.